2.91 to 2.92 upgrade - Solved

More
05 Feb 2024 13:03 - 05 Feb 2024 22:38 #292506 by slowpoke
I have LinuxCNC 2.91 installed, v2.91 does not include the newer version of mesact that supports the 7i95t. I went down a rabbit hole trying to get the latest mesact working with v2.91 and would prefer to start fresh with v2.92. I have downloaded v2.92 and have copied it to a DVD.

I'm struggling with the installation of v2.92. I have changed the boot order to make the DVD first and when I reboot the machine it seems (i'm not 100% sure) to initially run from the DVD but then seems to flip over to the original v2.91 on the HDD. At no time do I see anything that would allow me to install or upgrade to 2.92.

My next thought was to just format the HDD and start fresh, but that also seems quite difficult, if I understand you need to boot from an external disk to format the HDD and I can't seem to do that at least not from the DVD with the 2.92 ISO DVD

Help please
Last edit: 05 Feb 2024 22:38 by slowpoke.

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 13:11 #292508 by tommylight
Replied by tommylight on topic 2.91 to 2.92 upgrade
MesaCT is a separate project by JT, so it should work on it's own and it does not care about LinuxCNC versions.
You might need to upgrade MesaFlash to recognize the 7i95T, try
sudo apt update
sudo apt upgrade
And check the terminal if it upgraded MesaFlash.

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 13:20 - 05 Feb 2024 13:44 #292509 by slowpoke
Replied by slowpoke on topic 2.91 to 2.92 upgrade
I'm not sure how to interpret this.....
 
After that I did upgrade and it seemed to work...


However the 7i95t still does not appear when I run pcconf.
When I right click mesact_2.2.2_amd64.deb I get the following error.
 
 
Leading me to think that installing v2.92 (because my understanding is that v2.92 includes the Java code that I seem to be missing) will allow me to get the 7195t into pcconf?
 
Attachments:
Last edit: 05 Feb 2024 13:44 by slowpoke.

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 14:14 #292515 by tommylight
Replied by tommylight on topic 2.91 to 2.92 upgrade
Sudo apt install python3-packaging

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 14:50 #292520 by slowpoke
Replied by slowpoke on topic 2.91 to 2.92 upgrade
I get
E: Unable to locate package python3-packaging

Please Log in or Create an account to join the conversation.

More
More
05 Feb 2024 15:14 #292526 by slowpoke
Replied by slowpoke on topic 2.91 to 2.92 upgrade
Thanks for that.

I'm in the process of doing a full fresh 2.92 install.

Previous problem doing this was probably because I had copied v2.92 to the DVD but did not burn it to the DVD? After burning and reboot I was presented with the install option from the DVD so it's installing 2.92 now.

Only hiccup so far is not finding the network that might be because I'm using a USB dongle type device for access to local WIFI as network port is wired directly to 7i95t Mesa.

I will update as things progress. I think I might be on the right track finally.

Thanks for help so far
The following user(s) said Thank You: tommylight

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 19:53 #292563 by rodw
Replied by rodw on topic 2.91 to 2.92 upgrade
You did not connect to the internet while installing.
Replace your sources list with
deb http://deb.debian.org/debian bookworm main non-free-firmware non-free
deb-src http://deb.debian.org/debian bookworm main non-free-firmware non-free

deb http://deb.debian.org/debian-security/ bookworm-security main non-free-firmware non-free
deb-src http://deb.debian.org/debian-security/ bookworm-security main non-free-firmware non-free

deb http://deb.debian.org/debian bookworm-updates main non-free-firmware non-free
deb-src http://deb.debian.org/debian bookworm-updates main non-free-firmware non-free
with 
sudo geany /etc/apt/sources.list
then
sudo apt update
sudo apt upgrade
Ref: wiki.debian.org/SourcesList
 

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 22:20 - 05 Feb 2024 22:32 #292584 by slowpoke
Replied by slowpoke on topic 2.91 to 2.92 upgrade
Success with:
1) Getting version 2.92 installed and running
2) Updating Sources.List with something meaningful, this allowed me to install python3-packaging.
3) Now when I right click the mesact_2.1.2.deb file and run the GDebi installer I no longer get the Python3-packaging error that I was getting and the install button now allows me to click.

Progress fantastic and thanks to everyone.  I'm close but not quite there.....

I still don't have an option to select the 7i95t. I think (I'm not sure) there are now more options under the mesa board drop down list, just not the 7i95t. Also:
1) when I click install nothing really seems to happen, no confirmation of an update of the new install.
2) If I search for mesact in the synaptic package manager I see a lot of mesa entries, but not mesact

So I'm not sure if the mesact upgrade actually occurred?

Perhaps now that I'm past the 2.91 to 2.92 upgrade I should be asking this in the mesa thread I started, seems more appropriate?

Thoughts anyone?
Last edit: 05 Feb 2024 22:32 by slowpoke.
The following user(s) said Thank You: rodw

Please Log in or Create an account to join the conversation.

More
05 Feb 2024 23:19 #292592 by tommylight
Replied by tommylight on topic 2.91 to 2.92 upgrade
github.com/jethornton/mesact/releases
Says 7i95T should be supported from 2.0.4.
Can you see a version on the MesaCT screen or in the help menu?

Please Log in or Create an account to join the conversation.

Time to create page: 0.139 seconds
Powered by Kunena Forum